## Contributing to Ultralytics: The YOLO framework

We love your input! We want to make contributing to YOLOv5 as easy and transparent as possible, whether it's:

Reporting a bug
Discussing the current state of the code
Submitting a fix
Proposing a new feature
Becoming a maintainer

Here are some things to keep in mind when making PRs:

### Docstrings

Not all functions or classes require docstrings but when they do, we follow [google-stlye docstrings format](https://google.github.io/styleguide/pyguide.html#38-comments-and-docstrings). Here is an example:

```
'''
   What the function does - performs nms on given detection predictions

    Args:
        arg1: The description of the 1st argument
        arg2: The description of the 2nd argument

    Returns:
        What the function returns. Empty if nothing is returned

    Raises:
        Exception Class: When and why this exception can be raised by the function.
'''
```
